package com.bonait.bnframework.HBL.Dialog;

import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Context;
import android.content.DialogInterface;

import com.bonait.bnframework.R;

public class WaitDialog {

    static Context context;
    static Activity activity;
   static ProgressDialog progressDialog;

    public static void Show(String title,String msg,Context _context,Activity _activity){
        context=_context;
        activity=_activity;
       if(context==null) return;
        progressDialog = new ProgressDialog(context);
        progressDialog.setTitle(title);
        progressDialog.setCancelable(false);
        progressDialog.setMessage(msg);
        progressDialog.show();
    }

    public static void AddText(String info){
        if(context==null) return;
        if(activity==null) return;
        if(progressDialog==null) return;
        activity.runOnUiThread(()->{ progressDialog.setMessage(info);});
    }

    public static void Dismiss(){
        if(activity==null) return;
        if(progressDialog==null) return;
        activity.runOnUiThread(()->{ progressDialog.dismiss();});
    }

    public static void TimeOut(String info){
        if(activity==null) return;
        if(progressDialog==null) return;
        Dismiss();
        DialogManager.showError(activity,info,AlertDialogButton.OK,null);
    }
}
